import requests
import time
import threading
from csv import writer

url = "http://192.168.1.147/"
fileName = "log.txt"


def read_write_data():
    timestep = 2  # Seconds
    threading.Timer(timestep, read_write_data).start()
    html_content = requests.get(url).text
    inputMaxTemperature = html_content[496:498]
    inputMinTemperature = html_content[704:706]
    inputFanSpeed = html_content[907:909]
    inputMode = html_content[1132:1133]
    temperature = html_content[343:348]
    fanSpeed = html_content[367:369]
    info = [time.strftime('%Y-%m-%d %H:%M:%S'),
            inputMaxTemperature, inputMinTemperature, inputFanSpeed, inputMode, temperature, fanSpeed]
    print(info)
    append_list_as_row(fileName, info)


def append_list_as_row(file_name, list_of_elem):
    # Open file in append mode
    with open(file_name, 'a+', newline='') as write_obj:
        # Create a writer object from csv module
        csv_writer = writer(write_obj)
        # Add contents of list as last row in the csv file
        csv_writer.writerow(list_of_elem)


read_write_data()
